PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
List of all members
PSystemLog Class Reference

This class abstracts the operating system dependent error logging facility. More...

`#include <syslog.h>`

Inheritance diagram for PSystemLog:
[legend]
Collaboration diagram for PSystemLog:
[legend]

## Public Member Functions
Construction
| P_DECLARE_ENUM_EX (Level, NumLogLevels, StdError,-1, Fatal, Error, Warning, Info, Debug, Debug2, Debug3, Debug4, Debug5, Debug6)
| define the different error log levels More...
| PSystemLog (Level level=NumLogLevels)
| Create a system log stream. More...
| ~PSystemLog ()
| Destroy the string stream, deleting the stream buffer. More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Static Public Member Functions
Miscellaneous functions
static PSystemLogTarget & | GetTarget ()
| Get the current target/destination for system logging. More...
static void | SetTarget (PSystemLogTarget *target, bool autoDelete=true)
| Set the current target/destination for system logging. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier
Friends inherited from PObject

## Detailed Description

This class abstracts the operating system dependent error logging facility.

To send messages to the system error log, the PSYSTEMLOG macro should be used.

## Constructor & Destructor Documentation

PSystemLog::PSystemLog | ( | Level | level = `NumLogLevels` | ) |

Create a system log stream.

Parameters

  level | only messages at this level or higher (smaller) will be logged

PSystemLog::~PSystemLog | ( |  | ) |
| inline

Destroy the string stream, deleting the stream buffer.

## Member Function Documentation

static PSystemLogTarget& PSystemLog::GetTarget | ( |  | ) |
| static

Get the current target/destination for system logging.

Referenced by PServiceProcess::GetLogLevel(), and PServiceProcess::SetLogLevel().

PSystemLog::P_DECLARE_ENUM_EX | ( | Level | ,
|  | NumLogLevels | ,
|  | StdError | ,
|  | - | 1,
|  | Fatal | ,
|  | Error | ,
|  | Warning | ,
|  | Info | ,
|  | Debug | ,
|  | Debug2 | ,
|  | Debug3 | ,
|  | Debug4 | ,
|  | Debug5 | ,
|  | Debug6 |
| ) |  |

define the different error log levels

Parameters

  1 | Log from standard error stream

static void PSystemLog::SetTarget | ( | PSystemLogTarget * | target,
|  | bool | autoDelete = `true`
| ) |  |
| static

Set the current target/destination for system logging.

Parameters

  target | New target/destination for logging.
  autoDelete | Indicate target is to be deleted when no longer in use.

The documentation for this class was generated from the following file:

- syslog.h